# [Material Dashboard PRO React](https://demos.creative-tim.com/paper-dashboard-pro-react/#/dashboard) [![Tweet](https://img.shields.io/twitter/url/http/shields.io.svg?style=social&logo=twitter)](https://twitter.com/intent/tweet?url=https%3A%2F%2Fnud-pro-react.creative-tim.com&text=Light%20Bootstrap%20Dashboard%20React%20-%20Free%20Bootstrap%20Admin%20Template&original_referer=https%3A%2F%2Fdemos.creative-tim.com%2Fpaper-dashboard-pro-react%2F&via=creativetim&hashtags=react%2Cbootstrap)



![version](https://img.shields.io/badge/version-1.0.0-blue.svg) [![GitHub issues open](https://img.shields.io/github/issues/creativetimofficial/ct-paper-dashboard-pro-react.svg?maxAge=2592000)](https://github.com/creativetimofficial/ct-paper-dashboard-pro-react/issues?q=is%3Aopen+is%3Aissue) [![GitHub issues closed](https://img.shields.io/github/issues-closed-raw/creativetimofficial/ct-paper-dashboard-pro-react.svg?maxAge=2592000)](https://github.com/creativetimofficial/ct-paper-dashboard-pro/issues-react?q=is%3Aissue+is%3Aclosed)  [![Chat](https://img.shields.io/badge/chat-on%20discord-7289da.svg)](https://discord.gg/E4aHAQy)

![Product Gif](./github-assets/paper-dashboard-pro-react.gif)

**[Paper Dashboard PRO React](https://demos.creative-tim.com/paper-dashboard-pro-react/#/admin/dashboard)** is a beautiful [Reactstrap](https://reactstrap.github.io/) ([Bootstrap 4](http://getbootstrap.com/)) admin dashboard with a large number of components, designed to look neat and organized. If you are looking for a tool to manage and visualize data about your business, this dashboard is the thing for you. It combines colors that are easy on the eye, spacious cards, beautiful typography, and graphics. Paper Dashboard PRO React comes packed with all plugins that you might need inside a project and documentation on how to get started. It is light and easy to use, and also very powerful.


We made it our priority to not add things that you don't need, so the Paper Dashboard PRO React comes with just enough features for you to easily use. It combines multiple components and plugins and features numerous example of how it can be used. Inside the archive, you will also find multiple example pages to get you started or provide inspiration.


**[Paper Dashboard PRO React](https://demos.creative-tim.com/paper-dashboard-pro-react/#/admin/dashboard)** is the extended version of [Paper Dashboard](https://www.creative-tim.com/product/paper-dashboard-pro). Based on feedback from people that downloaded and used it, we have added needed components, and we have created multiple examples pages. We are curious to see how you want to use it and also improve it, so let us know any feedback you have.



**Bootstrap 4 support**


Paper Dashboard PRO React is built on top of [Bootstrap 4](http://getbootstrap.com/) with the usage of [Reactstrap](https://reactstrap.github.io/), so it fully supports it. Most of the elements from the dashboard are re-designed to resemble sheets of paper and color pastels. If they are elements that we have not touched, they will gracefully fall back to the [Bootstrap 4](http://getbootstrap.com/) / [Reactstrap](https://reactstrap.github.io/) default.


Let us know what you think and what we can improve below. And good luck with development!

View example pages [here](https://demos.creative-tim.com/paper-dashboard-pro-react/#/admin/dashboard).

## Table of Contents

* [Versions](#versions)
* [Demo](#demo)
* [Quick Start](#quick-start)
* [Documentation](#documentation)
* [File Structure](#file-structure)
* [Browser Support](#browser-support)
* [Resources](#resources)
* [Reporting Issues](#reporting-issues)
* [Technical Support or Questions](#technical-support-or-questions)
* [Licensing](#licensing)
* [Useful Links](#useful-links)


## Versions

[<img src="./github-assets/html.png" width="60" height="60" />](https://www.creative-tim.com/product/paper-dashboard-2-pro)
[<img src="./github-assets/react.svg" width="60" height="60" />](https://www.creative-tim.com/product/paper-dashboard-pro-react)
[<img src="./github-assets/angular.png" width="60" height="60" />](https://www.creative-tim.com/product/vue-paper-dashboard-2-pro)
[<img src="./github-assets/vuejs.png" width="60" height="60" />](https://www.creative-tim.com/product/paper-dashboard-pro-angular)


| HTML | React | Vue | Angular |
| --- | --- | --- | --- |
| [![Paper Dashboard 2 Pro HTML](https://s3.amazonaws.com/creativetim_bucket/products/84/thumb/opt_pd2p_thumbnail.jpg)](https://www.creative-tim.com/product/paper-dashboard-2-pro) | [![Paper Dashboard Pro React](https://s3.amazonaws.com/creativetim_bucket/products/134/thumb/opt_pdp_react_thumbnail.jpg)](https://www.creative-tim.com/product/paper-dashboard-pro-react)  | [![Vue Paper Dashboard 2 Pro](https://s3.amazonaws.com/creativetim_bucket/products/88/thumb/opt_pd2p_vue_thumbnail.jpg)](https://www.creative-tim.com/product/vue-paper-dashboard-2-pro)  | [![Paper Dashboard Pro Angular](https://s3.amazonaws.com/creativetim_bucket/products/59/thumb/opt_pdp_angular_thumbnail.jpg)](https://www.creative-tim.com/product/paper-dashboard-pro-angular)

## Demo

- [Start page](https://demos.creative-tim.com/paper-dashboard-pro-react/#/admin/dashboard)
- [User profile page](https://demos.creative-tim.com/paper-dashboard-pro-react/#/admin/user-profile)
- [Tables page ](https://demos.creative-tim.com/paper-dashboard-pro-react/#/admin/extended-tables)
- [Maps Page](https://demos.creative-tim.com/paper-dashboard-pro-react/#/admin/google-maps)
- [Notifications page](https://demos.creative-tim.com/paper-dashboard-pro-react/#/admin/notifications)

[View More](https://demos.creative-tim.com/paper-dashboard-pro-react/#/admin/dashboard).


## Quick start

Quick start options:

- Buy from [Creative Tim](https://www.creative-tim.com/product/paper-dashboard-pro-react)


## Documentation
The documentation for the Material Dashboard Pro is hosted at our [website](https://demos.creative-tim.com/paper-dashboard-pro-react/#/documentation/tutorial).


## File Structure

Within the download you'll find the following directories and files:

```
paper-dashboad-pro-react
│

```

## Browser Support

At present, we officially aim to support the last two versions of the following browsers:

<img src="./github-assets/chrome.png" width="64" height="64"> <img src="./github-assets/firefox.png" width="64" height="64"> <img src="./github-assets/edge.png" width="64" height="64"> <img src="./github-assets/safari.png" width="64" height="64"> <img src="./github-assets/opera.png" width="64" height="64">


## Resources
- [Live Preview](https://demos.creative-tim.com/paper-dashboard-pro-react/#/admin/dashboard)
- Buy Page: https://www.creative-tim.com/product/paper-dashboard-pro-react
- Documentation is [here](https://demos.creative-tim.com/paper-dashboard-pro-react/#/documentation/tutorial)
- License Agreement: https://www.creative-tim.com/license
- Support: https://www.creative-tim.com/contact-us
- Issues: [Github Issues Page](https://github.com/creativetimofficial/ct-paper-dashboard-pro-react/issues)
- Paper Dashboard React - [demo](https://www.creative-tim.com/product/paper-dashboard-react?ref=github-md-pro-react)

## Reporting Issues
We use GitHub Issues as the official bug tracker for the Material Dashboard Pro. Here are some advices for our users that want to report an issue:

1. Make sure that you are using the latest version of the Material Dashboard Pro. Check the CHANGELOG from your dashboard on our [website](https://www.creative-tim.com/).
2. Providing us reproducible steps for the issue will shorten the time it takes for it to be fixed.
3. Some issues may be browser specific, so specifying in what browser you encountered the issue might help.

## Technical Support or Questions

If you have questions or need help integrating the product please [contact us](https://www.creative-tim.com/contact-us) instead of opening an issue.

## Licensing

- Copyright 2018 Creative Tim (https://www.creative-tim.com)
- Creative Tim [license](https://www.creative-tim.com/license)

## Useful Links

 - [More products](https://www.creative-tim.com/bootstrap-themes) from Creative Tim

- [Tutorials](https://www.youtube.com/channel/UCVyTG4sCw-rOvB9oHkzZD1w)

- [Freebies](https://www.creative-tim.com/bootstrap-themes/free) from Creative Tim

- [Affiliate Program](https://www.creative-tim.com/affiliates/new) (earn money)

##### Social Media

Twitter: <https://twitter.com/CreativeTim>

Facebook: <https://www.facebook.com/CreativeTim>

Dribbble: <https://dribbble.com/creativetim>

Google+: <https://plus.google.com/+CreativetimPage>

Instagram: <https://instagram.com/creativetimofficial>
